/* 共通ボタン */

.button {
    width: 100%;
    padding: 0.8em 2em;

    color: #fff;
    background: dodgerblue;

    border: none;
    border-radius: 7px;

    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.25);

    font-size: 17px;
    font-weight: bold;

    cursor: pointer;

    transition:
        background 0.2s ease,
        transform 0.2s ease,
        box-shadow 0.2s ease;
}

.button:hover {
    background: linear-gradient(
        90deg,
        rgba(30, 144, 255, 1) 0%,
        rgba(0, 212, 255, 1) 100%
    );

    box-shadow: 0 7px 16px rgba(30, 144, 255, 0.3);

    transform: translateY(-2px);
}

.button:active {
    transform: translateY(2px);
    box-shadow: none;
}

.button:disabled {
    opacity: 0.6;
    cursor: not-allowed;
    transform: none;
}